﻿using System.Collections.ObjectModel;

namespace XFLView
{
    public class ViewModel
    {
        public ObservableCollection<Person> People { get; set; }

        public ViewModel()
        {
            var source = new ObservableCollection<Person>();

            source.Add(new Person() { Name = "Alejandro Gonzalez ", Age = 23, Address = new Address() { City = "Madrid" } });
            source.Add(new Person() { Name = "John Smith", Age = null, Address = new Address() { City = "" } });
            source.Add(new Person() { Name = "Emily Jakinson", Age = 42, Address = new Address() { City = "" } });
            source.Add(new Person() { Name = "Amelia Johnson", Age = 19, Address = new Address() { City = "Bath" } });
            source.Add(new Person() { Name = "Jack Connor", Age = null, Address = new Address() { City = "Oxford" } });
            source.Add(new Person() { Name = "Thomas Ford", Age = 36, Address = new Address() { City = "" } });
            source.Add(new Person() { Name = "James Williams", Age = 25, Address = new Address() { City = "Houston" } });
            source.Add(new Person() { Name = "Nikole Smith", Age = 38, Address = new Address() { City = "Chicago" } });

            this.People = source;
        }
    }
}
